## ros-indigo-ur-driver 1.1.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ur_driver)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS dynamic_reconfigure)

catkin_python_setup()


generate_dynamic_reconfigure_options(
  cfg/URDriver.cfg
)

###################################
## catkin specific configuration ##
###################################
catkin_package(
    CATKIN_DEPENDS dynamic_reconfigure
)

#############
## Install ##
#############
install(PROGRAMS test_move.py test_io.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS src/ur_driver/driver.py
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES prog prog_reset
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

#############
## Testing ##
#############

=== debian/changelog ===
ros-indigo-ur-driver (1.1.11-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-ur-driver (1.1.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 03 Aug 2017 22:00:00 -0000

ros-indigo-ur-driver (1.1.9-0trusty) trusty; urgency=high

  * No changes.

 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 01 Jan 2017 23:00:00 -0000

ros-indigo-ur-driver (1.1.8-0trusty) trusty; urgency=high

  * all: update maintainers.
  * Contributors: gavanderhoorn

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 29 Dec 2016 23:00:00 -0000

ros-indigo-ur-driver (1.1.7-0trusty) trusty; urgency=high

  * No changes.

 -- Alexander Bubeck <aub@ipa.fhg.de>  Wed, 28 Dec 2016 23:00:00 -0000

ros-indigo-ur-driver (1.1.6-0trusty) trusty; urgency=high

  * Moved SetIO FUN constants from driver.py to relevant srv file for easier interaction from other files
  * Merge pull request #170 <https://github.com/ros-industrial/universal_robot/issues/170> from ipa-fxm/prevent_programming
    [Indigo] enable reconfigure and set_param side by side
  * Merge pull request #189 <https://github.com/ros-industrial/universal_robot/issues/189> from abubeck/157_for_indigo
    port of PR #157 <https://github.com/ros-industrial/universal_robot/issues/157> to indigo
  * catkin_lint
  * enable reconfigure and set_param side by side
  * port of PR #157 <https://github.com/ros-industrial/universal_robot/issues/157> to indigo
  * driver: Factor out __send_message method.
  * porting PR #165 <https://github.com/ros-industrial/universal_robot/issues/165> to indigo
  * dynamic reconfigure server for prevent_programming
  * RobotStateRT V15 added to indigo_devw
  * Changed variable params_mult to unique name in each socket_read instance.
  * Fixed unpacking of MasterboardData_V30.
  * Contributors: Alexander Bubeck, Dan Solomon, Maarten de Vries, Thomas Timm Andersen, Wouter van Oijen, abubeck, ipa-fxm, jeppewalther

 -- Alexander Bubeck <aub@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-ur-driver (1.0.2-0trusty) trusty; urgency=high



 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

ros-indigo-ur-driver (1.0.1-0trusty) trusty; urgency=high

  * Merge pull request #25 <https://github.com/ros-industrial/universal_robot/issues/25> from ros-industrial/groovy-devel
    Merging latest changed from groovy to hydro devel branch
  * completed adding the workarounds from the original driver script
  * ported modifications made to original driver script
  * ur_driver: run_depend on trajectory_msgs.
  * ur_driver: run_depend on beautifulsoup. Fix #29 <https://github.com/ros-industrial/universal_robot/issues/29>.
  * Added keywords to arguments for new message instance of JointTrajectoryPoint().
    Arguments were previously "in order" but the keyword arguments are recommended as they are more resilient to msg changes.
  * Add 1 sec throttle to unknown pkt warning.
  * Fix formatting and sort list of unknown ptypes.
  * Ignore unknown pkt types, instead of erroring out.
    This change modifies the behaviour of the driver in case an
    unknown packet type is encountered. Previously, the deserialisation
    routine would raise an exception, which would cause the driver
    to print an error and exit.
    In the current implementation the unknown packet type(s) are
    stored, their payload ignored, and the driver reports the fact that
    unknown type(s) was/were received (with a request to report the
    warning, ideally to the package maintainer).
    This is not a solution for #16 <https://github.com/ros-industrial/universal_robot/issues/16>, although that issue prompted this
    change.
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Merge branch 'groovy-devel' into groovy-dev
  * Added definitions for adding tergets in install folder. Issue #10 <https://github.com/ros-industrial/universal_robot/issues/10>.
  * Merge remote-tracking branch 'origin/master' into hydro-dev
  * Fixed reference from ur5_driver to ur_driver in test_move.py
  * patch for ur_driver/deserialize.py
  * Updated to catkin.  ur_driver's files were added to nested Python directory for including in other packages.
  * Added launch directory to bringup package.  Left the old launch files to be backwards compatable for now.  Updated driver with SwRI internal changes.  Changed driver to accept ip address to match ROS-Industrial standard.  IP addresses for industrial robots are typically fixed.  Hostnames are not typically used (this is what the driver expected)
  * Renamed packages and new groovy version
  * Added ur10 and renamed packages
  * Contributors: Christina Gomez, Damien Smeets, IPR-SR2, Kelsey, ROS-Industrial, Shaun Edwards, gavanderhoorn, ipa-nhg, robot, ros-industrial

 -- Alexander Bubeck <aub@ipa.fhg.de>  Sun, 30 Mar 2014 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-ur-driver
Section: misc
Priority: extra
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure
Homepage: http://ros.org/wiki/ur_driver
Standards-Version: 3.9.2

Package: ros-indigo-ur-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-lxml, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-trajectory-msgs, ros-indigo-ur-msgs
Description: Driver for the UR5/10 arm based on the Polyscope control scheme.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ur-driver//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
